cURL
curl -H "Authorization: Bearer <access_token>" \
https://api.fitsociety.io/public/v1/client-tagsconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/client-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/client-tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"data": [
{
"tagId": "66f7b8b1e13c8d25f4d3d90b",
"name": "Lead",
"color": "#105dfb",
"totalClients": 12
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Timeline and tags
List client tags
Lists client tags for the authenticated company. Use these ids when creating or updating clients. The token must include clients:read.
GET
/
public
/
v1
/
client-tags
cURL
curl -H "Authorization: Bearer <access_token>" \
https://api.fitsociety.io/public/v1/client-tagsconst options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/client-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/client-tags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"data": [
{
"tagId": "66f7b8b1e13c8d25f4d3d90b",
"name": "Lead",
"color": "#105dfb",
"totalClients": 12
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.